Bug 1884 - lsa_open_policy ignores access parameter; hardcoded value doesn't work on NetApp
lsa_open_policy ignores access parameter; hardcoded value doesn't work on NetApp
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: python
3.0.7
All Linux
: P3 normal
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-07 10:44 UTC by Brett Funderburg
Modified: 2005-08-24 10:21 UTC (History)
0 users

See Also:


Attachments
Corrects the two issues described in the bug. (678 bytes, patch)
2004-10-07 10:46 UTC, Brett Funderburg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brett Funderburg 2004-10-07 10:44:12 UTC
The implementation of lsa_open_policy in py_lsa.c ignores the 'access' parameter.

In additon, the hardcoded value in the call to cli_lsa_open_policy doesn't work
against a NetApp filer when you subsequently try to resolve a SID.
Comment 1 Brett Funderburg 2004-10-07 10:46:29 UTC
Created attachment 708 [details]
Corrects the two issues described in the bug.

Sets the default value of desired_access to a value compatible with both NetApp
and Windows such that subsequent calls to resolve a SID will succeed on both.
Also, passes the value of desired_access (if passes by caller) into the call to
lsa_open_policy.
Comment 2 Brett Funderburg 2004-10-22 12:03:24 UTC
The default value is the same as that used in smbcacls which does work against
both NetApp and Windows.
Comment 3 Tim Potter 2005-07-19 04:12:25 UTC
I fixed this ages ago.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:21:39 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.